# This file is part of the Test-Comp test format,
# an exchange format for test suites:
# https://gitlab.com/sosy-lab/software/test-format
#
# SPDX-FileCopyrightText: 2018-2019 Dirk Beyer <https://www.sosy-lab.org>
#
# SPDX-License-Identifier: Apache-2.0

[GENERAL]
extension-pkg-whitelist=lxml

[REPORTS]
output-format = colorized
reports = yes

[MESSAGES CONTROL]
# no-member is disabled because of a false-positive with lxml
disable=too-many-locals,too-many-branches,too-many-instance-attributes,too-many-arguments,too-few-public-methods,missing-docstring,duplicate-code,no-member,consider-using-f-string
good-names=a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,tv
